Arcen Idea Tracker (Bugs and Features)

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryDate SubmittedLast Update
0019071AI War 2[All Projects] Graphical BugApr 24, 2017 4:03 pmMay 18, 2017 3:55 pm
ReporterBadgerBadger 
Assigned Tox4000Bughunter 
Severityminor 
StatusresolvedResolutionfixed 
Product Version0.119 Ship Batch 1 of 7: 24 Ships! 
Fixed in Version0.123 Ship Batch 4 of 7, And A Metric Ton of Improvements 
Summary0019071: Ark becomes invisible
DescriptionI started a random new game, and was fighting the initial planet. I noticed at some point during the combat that my ark had gone invisible!

Tabbing to the galaxy map and back fixed it. Seems related to the problem of invisible guardians.
TagsNo tags attached.
Attached Filespng file icon Missing Ark.png [^] (1,230,745 bytes) Apr 24, 2017 4:03 pm

- Relationships
has duplicate 0019085resolvedx4000Bughunter Ark Disappeared 

-  Notes
(0046069)
x4000Bughunter (administrator)
Apr 24, 2017 4:23 pm

Thanks!

Here's an idea: is it possible that this happened when the Ark ran out of shields?
(0046072)
BadgerBadger (reporter)
Apr 24, 2017 4:40 pm

It seems correlated with that. It's definitely not hit Every Single Time the ark runs out of shields, but I have noticed it perhaps 3 times (in a number of different short games), where the ark becomes invisible when its shields were very low or had just run out.
(0046073)
x4000Bughunter (administrator)
Apr 24, 2017 4:41 pm

Okay, cool -- thanks for the tip!
(0046114)
x4000Bughunter (administrator)
May 8, 2017 4:48 pm

For 0.123:

* Fixed the issues with ships sometimes being absent from squads they are a part of.
** It's possible that there may still be an issue with certain ships that disappear for about 1 second before being recreated. This would only be noticeable with large single ships; please let us know if this is observed in this or future builds.
** Basically the system works better now in general, and is self-correcting now, but there's a 1-second gap before the self-correction.


I'm not going to mark this one completed yet, though.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
Apr 24, 2017 4:03 pm BadgerBadger New Issue
Apr 24, 2017 4:03 pm BadgerBadger File Added: Missing Ark.png
Apr 24, 2017 4:22 pm x4000Bughunter Assigned To => x4000Bughunter
Apr 24, 2017 4:22 pm x4000Bughunter Status new => assigned
Apr 24, 2017 4:23 pm x4000Bughunter Note Added: 0046069
Apr 24, 2017 4:40 pm BadgerBadger Note Added: 0046072
Apr 24, 2017 4:41 pm x4000Bughunter Note Added: 0046073
May 8, 2017 4:48 pm x4000Bughunter Note Added: 0046114
May 8, 2017 4:48 pm x4000Bughunter Status assigned => feedback
May 9, 2017 9:06 pm x4000Bughunter Relationship added has duplicate 0019085
May 18, 2017 3:55 pm x4000Bughunter Status feedback => resolved
May 18, 2017 3:55 pm x4000Bughunter Fixed in Version => 0.123 Ship Batch 4 of 7, And A Metric Ton of Improvements
May 18, 2017 3:55 pm x4000Bughunter Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker